[paludis-user] Solve "ss" and "com_err" blockage

damian damian.only at gmail.com
Wed Nov 19 10:40:50 UTC 2008


On Wed, Nov 19, 2008 at 10:49 AM, Robert Annessi <robert at annessi.at> wrote:
> On Wednesday 19 November 2008 09:42:30 Damian Nadales wrote:
>> However, I cannot get rid of this blockage. After executing
>>     paludis --pretend --install world
>>
>> Two errors arise:
>>     * sys-libs/ss::installed [! blocking]
>>     Reasons: sys-libs/e2fsprogs-libs-1.41.2:0::installed
>>     * sys-libs/com_err::installed [! blocking]
>>     Reasons: sys-libs/e2fsprogs-libs-1.41.2:0::installed
>
> This is no paludis specific problem:
Yes, I was aware of that. However I wanted to know how to solve the
blockage using paludis, since the proposal in the forum that I
mentioned didn't work.

> You have to uninstall sys-libs/ss and sys-libs/com_err to upgrade to
>>=sys-fs/e2fsprogs-1.41.0 because both block e2fsprogs-libs which
>>=e2fsprogs-1.41.0 depends on.
I ran:
    paludis --uninstall --permit-unsafe-uninstalls com_err
    paludis --uninstall --permit-unsafe-uninstalls ss

And then
        paludis -i everything
and the blockage was gone, as expected.

Now I have the 1.41.2 version of sys-fs/e2fsprogs so I hope everything
is ok now.

Best regards,
Damian.

>
> Cheers,
> Robert
>
>
> --
> /"\  ASCII Ribbon Campaign for - plain text emails
> \ /   ______________________   - attachments complying with standards
>  X    | signed & encrypted |   - replies below quoted text
> / \   |  emails preferred  |   - lines shorter than 80 characters
>
> _______________________________________________
> paludis-user mailing list
> paludis-user at lists.pioto.org
> http://lists.pioto.org/mailman/listinfo/paludis-user
>
>



More information about the paludis-user mailing list